local _, cfg = ... --export config
local addon, ns = ... --get addon namespace

--player
cfg.barsize = {140,200}
cfg.alpha = .7
cfg.healthx = -165
cfg.healthy = 0
cfg.powerx = 165
cfg.powery = 0

--pet
cfg.petbarsize = {70,100}
cfg.petalpha = .7
cfg.pethealthx = -125
cfg.pethealthy = 0
cfg.petpowerx = -115
cfg.petpowery = 0

--[[castbar (not yet supported)
cfg.CastBar = true
cfg.playerheight = 200
cfg.playerwidth = 140
cfg.cbf_position = {"CENTER",UIParent,-152,0}
cfg.playertextsize = 12 --So the text scales with the Bar height
]]

--combo points
cfg.combopoints = true --this option will disable itself is another combo addon is found
cfg.cbp_position = {"CENTER",UIParent,"CENTER",0,-150}
cfg.cbpwidth = 37.9 		-- width per combo point frame (5 in total)
cfg.cbpheight = 15 			--icon height for combo points
-- fade
cfg.fadein = 0.5      		-- fade delay for each combo point frame
cfg.fadeout = 0.5      		-- fade delay for each combo point frame
cfg.framefadein = 0.2  		-- fade delay for entering combat
cfg.framefadeout = 0.2 		-- fade delay for leaving combat
-- colors
cfg.comboColors = {
	{ r = 1, g = 0.86, b = 0.1, a = 1 },
	{ r = 1, g = 0.86, b = 0.1, a = 1 },
	{ r = 1, g = 0.86, b = 0.1, a = 1 },
	{ r = 1, g = 0.86, b = 0.1, a = 1 },
	{ r = 1, g = 0.86, b = 0.1, a = 1 },
}
cfg.bgColor = { r = 0.3, g = 0.3, b = 0.3, a = 0.7 }
cfg.showtext = true 		--combo point text
cfg.cbpfontsize = 13
cfg.hideooc = true 			-- hide when out of combat
cfg.hidenoenergy = true 	-- Hide when no energy is available (i.e. druid out of cat form)