local _, cfg = ... --import config
local addon, ns = ... --get addon namespace

--[[
if not cfg.CastBar then return end--module control
local cbf = "CastingBarFrame"
	
--Player castbar
_G[cbf]:SetOrientation("VERTICAL")
_G[cbf]:SetSize(cfg.playerwidth,cfg.playerheight)
_G[cbf.."Border"]:SetTexture(nil)
_G[cbf.."Flash"]:SetTexture(nil)
_G[cbf.."Text"]:SetPoint("BOTTOM", _G[cbf], 0, 0)
_G[cbf.."Text"]:SetFont("Fonts\\ARIALN.ttf", 10, nil)
_G[cbf]:SetStatusBarTexture("Interface\\Addons\\BobHUD\\media\\healthbar")
_G[cbf]:ClearAllPoints()
_G[cbf]:SetPoint(unpack(cfg.cbf_position))
_G[cbf].SetPoint = function() end
_G[cbf.."Icon"]:Hide()

--Castbar timer from thek
_G[cbf].timer = _G[cbf]:CreateFontString(nil)
_G[cbf].timer:SetFont("Fonts\\ARIALN.ttf", 10, nil)
_G[cbf].timer:SetPoint("BOTTOMRIGHT", _G[cbf], "BOTTOMRIGHT", 6, -4)
_G[cbf].update = .1
hooksecurefunc("CastingBarFrame_OnUpdate", function(self, elapsed)
	if not self.timer then return end
	if self.update and self.update < elapsed then
		if self.casting then
			self.timer:SetText(format("%.1f", max(self.maxValue - self.value, 0)))
		elseif self.channeling then
			self.timer:SetText(format("%.1f", max(self.value, 0)))
		else
			self.timer:SetText("")
		end
		self.update = .1
	else
		self.update = self.update - elapsed
	end
end)

]]